### Method

# GLib AsyncQueue ref

#### Declaration [src]

    GAsyncQueue*
    g_async_queue_ref (
      GAsyncQueue* queue
    )

#### Description [src]

Increases the reference count of the asynchronous `queue` by 1. You do not need to hold the lock to call this function.

#### Return value

Type: `GAsyncQueue`

The `queue` that was passed in (since 2.6).

The caller of the method takes ownership of the returned data, and is responsible for freeing it.